### Method

# FwupdPlugin Device set_contents

#### Declaration [src]

    gboolean
    fu_device_set_contents (
      FuDevice* self,
      const gchar* filename,
      GInputStream* stream,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Writes `stream` to `filename`, emulating if required.

Available since: | 2.0.2

#### Parameters

`filename` | `const gchar*`
| Full path to a file.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`stream` | `GInputStream`
| Data to write.
| The data is owned by the caller of the function.
`progress` | `FuProgress`
| A `FuProgress`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.